# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

{
    "name" : "Assembly BoM",
    "version" : "0.15",
    "author" : 'NovaPoint Group LLC',
    "description": """
    Adds a new catagory for the BOM as 'assembly bom'
    """,
    "category" : "Customization",
    "website" : "http://www.novapointgroup.com/",
    "depends" : [
                 'base',
                 'mrp',
                 'sale',
                 'stock',
                 'c2c_bom_stock',
                 'product_rcss'
                ],
    "init_xml" : [],

    "demo_xml" : [],

    "update_xml" : [
                    'report/report_view.xml',
                    'wizard/consumption_report_wizard.xml',
                    'stock_view.xml',
                    ],
    "test" : [],
    "active": False,
    "installable": True,
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: