# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

{
    "name" : "Email Template History",
    "version" : "0.1",
    "author" : "",
    "website" : "http://openerp.com",
    "category" : "Added functionality",
    "depends" : ['email_template','mail_gateway'],
    "description": """
    Email Template is extraction of Power Email basically just to send the emails. This module adds the ability
    to designate if an email should be recorded in the email history on a partner record. If the boolean field to 
    add to history is checked - it will record that an email was sent for the partner.
    """,
    "init_xml": [],
    "update_xml": ['email_template_view.xml',],
    "installable": True,
    "active": False,
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: