# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import pooler
import wizard
from tools.translate import _

pick_form = """<?xml version="1.0"?>
<form string="Change Assigned Picker">
    <field name="picker" colspan="4"/>
</form>
"""

pick_fields = {
    'picker': {'string': 'Assigned Picker', 'type': 'many2one', 'relation': 'res.users'}
}



class wizard_assigned_picker(wizard.interface):
    

    def do_action(self, cr, uid, data, context={}):
        print data
        pooler.get_pool(cr.dbname).get(data['model']).write(cr,uid,data['ids'],{'assigned_picker':data['form']['picker']})
        return {}


    states = {
        'init': {
            'actions': [],
            'result': {'type': 'form', 'arch': pick_form, 'fields' : pick_fields, 'state' : [('end', 'Cancel'), ('update_delivery', 'Update Delivery Order') ]}
        },
        'update_delivery': {
            'actions': [],
            'result': {'type': 'action', 'action': do_action, 'state': 'end'}
        },
              
              
#        'init': {
#            'actions': [],
#            'result': {'type': 'action', 'action': do_action, 'state':'end'}
#        }
    }
wizard_assigned_picker('assigned_picker_order')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
