# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
from report import report_sxw
from tools import amount_to_text_en

class report_print_label(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(report_print_label, self).__init__(cr, uid, name, context)
        self.number_lines = 0
        self.number_add = 0
        self.localcontext.update({
            'time': time,
        })
    
    
        

report_sxw.report_sxw(
    'report.ship.label.print',
    'stock.packages',
    'addons/shipping_api_ups/report/label_print.rml',
    parser=report_print_label,header=False
)
report_sxw.report_sxw(
    'report.ship.log.label.print',
    'shipping.move',
    'addons/shipping_api_ups/report/label_print.rml',
    parser=report_print_label,header=False
)
report_sxw.report_sxw(
    'report.quick.ship.label.print',
    'quick.ship',
    'addons/shipping_api_ups/report/label_print.rml',
    parser=report_print_label,header=False
)
report_sxw.report_sxw(
    'report.multiple.label.print',
    'stock.picking',
    'addons/shipping_api_ups/report/multiple_label_print.rml',
    parser=report_print_label,header=False
)
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
