# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

import pooler
from tools.translate import _
from osv import osv, fields




class change_picker(osv.osv_memory):
    '''
    Wizard object to change assigned picker
    '''
    _name = "change.picker"
    _description = "Change Assigned Picker"
    _rec_name = 'picker'

    _columns = {
                'picker': fields.many2one('res.users', 'Assigned Picker'),
    }
    def update_picker(self, cr, uid, ids, context={}):
        print ids, context
        data = self.browse(cr, uid, ids[0], context=context)
        if context.get('active_model') == 'stock.move':
            pooler.get_pool(cr.dbname).get(context.get('active_model')).write(cr,uid,context.get('active_ids',[]),{'assigned_picker':data.picker.id})
            for move in pooler.get_pool(cr.dbname).get('stock.move').browse(cr, uid, context.get('active_ids',[]), context=context):
                move.picking_id.write({'assigned_picker':data.picker.id})
        else:
            pooler.get_pool(cr.dbname).get(context.get('active_model')).write(cr,uid,context.get('active_ids',[]),{'assigned_picker':data.picker.id})
            

        return {}
change_picker()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
