# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

import base64
import random
import netsvc
import logging
import re
from osv import osv, fields
from tools.translate import _


class email_template(osv.osv):

    _inherit = "email.template"
    '''
    Add add to History check box on email template
    '''

    _columns = {
        'add_to_history':fields.boolean('Add to History', help="Enable this to add sent emails on partner history"),
    }

email_template()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
