# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

from osv import fields,osv




class logistic_company(osv.osv):
    _name = "logistic.company"
    _rec_name = "name"
    _columns = {
                    'name': fields.char('Company Name', size=32, required=True, select=1),
                    'url':fields.char('Website',size=256 , select=1),
                    
                    'ship_req_web':fields.char('Ship Request Website',size=256 ),
                    'ship_req_port':fields.integer('Ship Request Port'),
                    'ship_req_test_web':fields.char('Test Ship Request Website',size=256 ),
                    'ship_req_test_port':fields.integer('Test Ship Request Port'),
                    
                    'ship_accpt_web':fields.char('Ship Accept Website',size=256 ),
                    'ship_accpt_port':fields.integer('Ship Accept Port' ),
                    'ship_accpt_test_web':fields.char('Test Ship Accept Website',size=256),
                    'ship_accpt_test_port':fields.integer('Test Ship Accept Port' ),
                    
                    'ship_void_web':fields.char('Ship Void Website',size=256 ),
                    'ship_void_port':fields.integer('Ship Void Port' ),
                    'ship_void_test_web':fields.char('Test Ship Void Website',size=256 ),
                    'ship_void_test_port':fields.integer('Test Ship Void Port'),
                    
                    'ship_tracking_url':fields.char('Tracking URL',size=256 ),
                    
                    'test_mode':fields.boolean('Test Mode'),

                }
logistic_company()


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
