# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

{
    'name': 'Stock Multilocation Picking',
    'version': '0.12',
    'category': 'Generic Modules/Others',
    'description': """
This module enhances the inventory tracking capabilities in a warehouse.
It is used primarily in a dynamic/high-turnover warehouse.
                    """,
    'author': 'NovaPoint Group LLC',
    'website': 'http://www.novapointgroup.com',
    'depends': ['base','product','stock'],
    'init_xml': [],
    'update_xml': ['stock_sequence.xml',
                   'stock_multi_location_view.xml',
                   'product_view.xml',
                   'stock_report.xml','wizard_view.xml','wizard/wizard_cancel_button_view.xml',
                   'wizard/wizard_replenish_button_view.xml',
                   'wizard/replenish/replenish_model_view.xml',
                   'wizard/replenish_wizard_view.xml',
                   'stock_view.xml',
                   'security/ir.model.access.csv',
                    ],
    'demo_xml': [
    ],
    'installable': True,
    'active': False,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
