# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

from datetime import datetime
from dateutil.relativedelta import relativedelta
import time
import pooler
from report.render import render
from report import report_sxw


class replenish_report(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(replenish_report, self).__init__(cr, uid, name, context)
        self.localcontext.update({
            'time': time,
        })

report_sxw.report_sxw(
    'report.stock.replenish.report',
    'replenish.model',
    'addons/stock_multilocation_picking/report/replenish_report.rml',
    parser=replenish_report,header=True
)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

