# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 NovaPoint Group LLC (<http://www.novapointgroup.com>)
#    Copyright (C) 2004-2010 OpenERP SA (<http://www.openerp.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

from osv import fields, osv
from tools.translate import _
from urlparse import urlparse
import wizard
import pooler




class wizard_cancel_button(osv.osv_memory):


    def ok_button_action(self,cr,uid,ids,data,context=None):
        wizard_obj=pooler.get_pool(cr.dbname).get('wizard.cancel.button').browse(cr,uid,ids[0])
        if wizard_obj.de_activate:
            product_obj=pooler.get_pool(cr.dbname).get('product.product').browse(cr,uid,wizard_obj.product_id.id)
            for multi_loc in product_obj.multi_location_ids:
                if multi_loc.storage_type == 'primary':
                         pooler.get_pool(cr.dbname).get('stock.multi.location').write(cr,uid,multi_loc.id,{'location_active':False})
            rep_ids=pooler.get_pool(cr.dbname).get('replenish.model').search(cr,uid,[('product_name' ,'=' ,product_obj.id )])
            print rep_ids,'rep_ids'
            pooler.get_pool(cr.dbname).get('replenish.model').write(cr,uid,rep_ids,{'state':'cancel'})
        return {}

    def cancel_button_action(self,cr,uid,ids,data,context=None):
        print 'cancel'
        return {}


    def _get_product(self, cr, uid, context=None):
        print context,'_get_product'
        if context.has_key('active_model') and context.has_key('active_id'):
            model_id = context['active_id']
            model_obj=pooler.get_pool(cr.dbname).get(context['active_model']).browse(cr,uid,model_id,context=None)
        return  model_obj.product_name.id

    _name = "wizard.cancel.button"
    _rec_name = 'product_id'
    _columns = {
                'product_id':fields.many2one('product.product','Product'),
                'de_activate':fields.boolean('Deactivate replenish for this product'),
                }
    _defaults = {
        'de_activate':False ,
        'product_id':_get_product
            }
wizard_cancel_button()






# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
